Readme for WebSphere MQ V7.5, Fix Pack 7.5.0.2

Product readme


Abstract

This document contains the readme for WebSphere MQ version 7.5 and its maintenance

Content

DESCRIPTION

-----------
The latest version of this file can be found at:
http://www.ibm.com/support/docview.wss?rs=171&uid=swg27006097
or translated versions at:
ftp://public.dhe.ibm.com/software/integration/wmq/docs/V7.5.0.2/readme/
It describes product limitations and known problems.


In addition to this file, you can find more information on the WebSphere MQ Web
site: http://www.ibm.com/software/integration/wmq/

The SupportPac Web page is at:
http://www.ibm.com/support/docview.wss?rs=977&uid=swg27007205

For current information about known problems and available fixes, see the Support
page of the WebSphere MQ Web site at:
http://www.ibm.com/software/integration/wmq/support/

Web documentation updates
The latest updates to the Web-based WebSphere MQ documentation are available from
the WebSphere MQ Web site at:
http://www.ibm.com/software/integration/wmq/library/

Announcement letter
The announcement letter for WebSphere MQ Version 7.5 (US English) is available at:
http://www.ibm.com/common/ssi/cgi-bin/ssialias?infotype=AN&subtype=CA&htmlfid=897/ENUS212-091&appname=USN#h2-availx

See the announcement letter for the following types of information:
- Detailed product description, including description of new function
- Product-positioning statement
- Ordering details
- Hardware and software requirements

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

UPDATE HISTORY
2 July 2013 - Updates for WebSphere MQ version 7.5.0.2
21 March 2013 - Updates for WebSphere MQ version 7.5.0.1
18 May 2012 - Updates for WebSphere MQ version 7.5.0.0

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++ ++
++ Installation instructions ++
++ ++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Installation instructions for this fix pack are available as part of the
WebSphere MQ Version 7.5 information center at:
http://pic.dhe.ibm.com/infocenter/wmqv7/v7r5/topic/com.ibm.mq.mig.doc/q008000_.htm

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++ ++
++ Limitations and known problems ++
++ ++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

APAR IV31952
---------------------------------------------------------------
The fix for APAR IV31952 changed the authority checks that WebSphere MQ makes on channel objects when you run the RESET CHANNEL command. Applying this fix can give changed behavior and you might need to alter some authorities.

Your systems are affected only if your channels run with an MCAUSER userID resolving to a non-mqm user.  The Reset Channel command can run internally within WebSphere MQ code, so, even though you have not run the Reset Channel command manually, your system might still be affected.

Ensure that, at a minimum, your channel's MCAUSER userID has both +DSP and +CTRLX authority on the channel object, so that the userID can run Reset Channel commands.  Before the fix for IV31952, WebSphere MQ checked that the userID had +ALTUSR authority which you might previously have granted to make your channel work.

After applying fix pack WebSphere MQ fix pack 7.5.0.1 or later, you can remove your MCAUSER's +ALTUSR authority on the channel object because it is not required for the Reset Channel command.  You should also check that your MCAUSER userID has +DSP and +CTRLX authority on the channel object.

Unable to uninstall "IBM WebSphere MQ (fix pack 7.5.0.1 files)"
---------------------------------------------------------------

There is currently an issue with the uninstallation of the
"IBM WebSphere MQ (fix pack 7.5.0.1 files)". On a few machines, when you
uninstall the WebSphere MQ 7.5.0.1 fix pack files from "Programs and Features"
you might be presented with a dialog containing the message "Installer User
Interface Mode Not Supported".

If you see this message, you have two options:

1) Leave the files there (they occupy just under 900MB) or

2) Use the following workaround:

the default value of <INSTALLDIR> is either
- c:\Program Files (x86)\IBM\source\WebSphere MQ 7.5.0.1 -- (32-bit Windows)
- c:\Program Files\IBM\source\WebSphere MQ 7.5.0.1 -- (64-bit Windows)

If you specified an alternate directory and cannot remember where this
was, the location can be found in the registry at:
"HKLM\SOFTWARE\IBM\WebSphere MQ fix pack 7.5.0.1\InstallDir" -- (32-bit Windows)
"HKLM\SOFTWARE\Wow6432Node\IBM\WebSphere MQ fix pack 7.5.0.1\InstallDir" -- (64-bit Windows)


cd "<INSTALLDIR>\_IBM WebSphere MQ (fix pack 7.5.0.1 files)_installation"

Backup "Change IBM WebSphere MQ (fix pack 7.5.0.1 files) Installation.lax" by
copying to somewhere outside of the install location (for example the desktop)

Run the following command exactly as written:
echo lax.nl.java.option.java.heap.size.max=2147483648 >>"Change IBM WebSphere MQ (fix pack 7.5.0.1 files) Installation.lax"

Attempt the uninstallation again from "Programs and Features".


Installing on HP-UX alongside 7.0.1.10
--------------------------------------
This problem affects installation media for the HP-UX platform which is
built at the following levels :
WebSphere MQ 7.5.0.0, 7.1.0.0, 7.1.0.1, 7.1.0.2

If a HP-UX machine has WebSphere MQ 7.0.1.10 or later fix pack installed
on it, an attempt to install alongside may fail similar to the following
error. Installing alongside 7.0.1.9 or earlier is not a problem.

ERROR: MQSERIES 7.0.1.10, which is not compatible with this
release, is installed in this system
Check the documentation for this release and correct the
situation before retrying the installation.

ERROR: The "checkinstall" script for "MQSERIES" failed (exit code
"1"). The script location was
"/var/tmp/BAA020518/catalog/MQSERIES/pfiles/checkinstall".
* This script had errors and the execution of this product
cannot proceed until the problem is fixed. Check the above
output from the script for further details.
* Executing preDSA command.

To workaround this problem, please install 7.5 or 7.1 from installation
media which includes the fix for IV45059 (7.5.0.1 or 7.1.0.3). Alternatively
install alongside 7.0.1.9 or earlier, and then upgrade the 7.0.1 system to
7.0.1.10 or later after completing the 7.1 or 7.5 installation.


Installation of the fix pack Server component on the UNIX/Linux platforms
-------------------------------------------------------------------------
First introduced in WebSphere MQ 7.1.0.3 and 7.5.0.2, during the installation of the fix pack Server
component on the UNIX/Linux platforms, a message will be displayed of the form:

After the installation of this fix pack has completed, run the
'/opt/mqm/bin/mqconfig' command, using the 'mqm' user ID.

For example, execute the following statement when running as the 'root' user:

su mqm -c "/opt/mqm/bin/mqconfig"

The 'mqconfig' command validates that the system configuration satisfies the
requirements for WebSphere MQ, and ensures that the settings for the 'mqm'
user ID are suitably configured. Other WebSphere MQ administrators in the
'mqm' group can run this command to ensure their user limits are also
properly configured to use WebSphere MQ.

If 'mqconfig' indicates that any of the requirements have not been met,
consult the installation section within the WebSphere MQ Information Center
for details about how to configure the system and user limits.
----------
Note that WebSphere MQ has no new requirements as of these fix packs.
The message is displayed to highlight a new tool, 'mqconfig', which is included
with the fix pack for the UNIX/Linux platforms. This tool can be used to verify
that the system is configured to the minimum tuning specification that WebSphere
MQ has documented. Running this tool makes no changes to the system, it simply
displays the configuration of the environment.


Upgrading a server installation
-------------------------------
IBM does not support a server installation applying maintenance
(upgrading to a newer fixpack level) by using the MSI mechanism,
only to newer versions or releases.
To apply maintenance use the fix pack mechanism.


Unable to apply maintenance on HP using MQPTF_NOSAVE feature
------------------------------------------------------------
The facility to suppress the creation of backup directories on HP-UX by
creating the file MQPTF_NOSAVE when applying maintenance to WebSphere MQ 7.5
can lead to corrupt installations and should not be used.


AMS deployment limitations for Java applications
------------------------------------------------
The WebSphere MQ 7.5.0.1 JCA resource adapter does not contain the AMS classes,
and AMS is not supported in client mode when using this RA.
For applications running in Java EE application servers, you can use AMS in one
of the following ways:
Use bindings mode to connect to a 7.5 queue manager on the same machine as the
application server.
Use a previous release of the WebSphere MQ JCA RA with a previous release of
WebSphere MQ Advanced Message Security as a client to connect to a 7.5 queue
manager.


Coexistence with other products using GSKit security on AIX
-----------------------------------------------------------
On AIX systems, if there is a global GSKit installation in /usr/lib[64]
there might be a clash when WebSphere MQ attempts to load its GSKit libraries.
To solve this issue, set the LIBPATH environment variable to point to the
directory where the WebSphere MQ GSKit libraries are located. You must set the
LIBPATH variable before running the WebSphere MQ application and queue manager.


----------
For information regarding the levels of GSKit and JRE included with this product, see the
following link: http://www.ibm.com/support/docview.wss?rs=171&uid=swg27038676
----------


AIX uninstallation
------------------
On certain levels of AIX, it is possible to uninstall WebSphere MQ while
queue managers are still running. Our intention is to prevent this situation
where possible to help customers avoid unintentional breakages.
This issue is resolved in latest AIX maintenance:

http://www.ibm.com/support/docview.wss?uid=isg1IV13738
This fix is in: Package name: 6100-06 Service Pack 7 Release date: April 2012

http://www.ibm.com/support/docview.wss?uid=isg1IV08698
This fix is in: Package name: 6100-07 Service Pack 2 Release date: December 2011

http://www.ibm.com/support/docview.wss?uid=isg1IV14774
This fix is in: Package name: 7100-00 Service Pack 5 Release date: April 2012

http://www.ibm.com/support/docview.wss?uid=isg1IV08782
This fix is in: Package name: 7100-01 Service Pack 2 Release date: December 2011


Installing fix pack on top of installation image at same V.R.M.F level
----------------------------------------------------------------------
It is possible to install the 7.5.0.2 fix pack on top of an installation performed
from installation media that was built at 7.5.0.2 (a manufacturing refresh
image) on both Linux (all architectures) and Solaris (both architectures) platforms.

This should not be attempted, as it may leave the system's package management database in
an inconsistent state with respect to the installation of WebSphere MQ.


Platform notes
--------------
WebSphere MQ Version 7.5 is not available for IBM i and z/OS.

The latest version of WebSphere MQ for these platforms is:
WebSphere MQ for z/OS Version 7.1
WebSphere MQ for IBM i Version 7.1

For information about the latest versions of WebSphere MQ for IBM i and z/OS,
see: http://www.ibm.com/software/integration/wmq/.


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++ ++
++ IBM Message Service Client for .NET v2.5.0.1 ++
++ ++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Changes in this release
-----------------------

- dspxmsver utility:

Displays XMS .NET version and build information.


Troubleshooting XMS .NET issues
-------------------------------

a) User authentication for WebSphere MQ is performed by using the details of the
logged on user and not the information provided in the XMSC.USERID and
XMSC.PASSWORD fields. This is designed to maintain consistency with WebSphere MQ.
See the WebSphere MQ information center for further details about
authentication.

b) On a Windows 64-bit platform, the setting or getting of
values for the property type “double” using the
SetDoubleProperty() or GetDoubleProperty() methods may not work correctly,
if the values involved are smaller than Double.Epsilon.

For example, if you try to set a value of 4.9E-324 for a
property with type double, the Windows 64-bit platforms
treat it as 0.0. So, in a distributed messaging environment, if a JMS or
another application sets the value for a double property
as 4.9E-324 on any Unix or Windows 32-bit machine, and XMS
.NET runs on a 64-bit machine, the value returned by GetDoubleProperty()
is 0.0.

This is a known issue with Microsoft .NET 2.0 Framework.
Refer to the following link for more details:
http://support.microsoft.com/kb/970495


Product Alias/Synonym

WMQ MQ

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere MQ
APAR / Maintenance

Software version:

7.5

Operating system(s):

AIX, HP Itanium, Linux, Linux on Power, Linux zSeries, Solaris, Windows

Reference #:

7039002

Modified date:

2014-08-01

Translate my page

Machine Translation

Content navigation